<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd"> 




<web-app>

	<filter>
	    <filter-name>CorsFilter</filter-name>
	    <filter-class>servlets.CORSFilter</filter-class>
	</filter>
	<filter-mapping>
	    <filter-name>CorsFilter</filter-name>
	    <url-pattern>/*</url-pattern>
	</filter-mapping>

	<servlet> 
		<servlet-name>CreateUser</servlet-name> 
		<servlet-class>servlets.CreateUser</servlet-class> 
	</servlet> 
	<servlet> 
		<servlet-name>Login</servlet-name> 
		<servlet-class>servlets.Login</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>EditProfile</servlet-name> 
		<servlet-class>servlets.EditProfile</servlet-class> 
	</servlet> 		
	<servlet> 
		<servlet-name>Logout</servlet-name> 
		<servlet-class>servlets.Logout</servlet-class> 
	</servlet> 
	<servlet> 
		<servlet-name>DeleteAccount</servlet-name> 
		<servlet-class>servlets.DeleteAccount</servlet-class> 
	</servlet> 	
	
	<servlet> 
		<servlet-name>Follow</servlet-name> 
		<servlet-class>servlets.Follow</servlet-class> 
	</servlet>
	<servlet> 
		<servlet-name>RemoveFollower</servlet-name> 
		<servlet-class>servlets.RemoveFollower</servlet-class> 
	</servlet>
	<servlet> 
		<servlet-name>Unfollow</servlet-name> 
		<servlet-class>servlets.Unfollow</servlet-class> 
	</servlet>
	<servlet> 
		<servlet-name>GetUserFollowers</servlet-name> 
		<servlet-class>servlets.GetUserFollowers</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>GetUserFollowing</servlet-name> 
		<servlet-class>servlets.GetUserFollowing</servlet-class> 
	</servlet> 
	
	<servlet> 
		<servlet-name>AddPost</servlet-name> 
		<servlet-class>servlets.AddPost</servlet-class> 
	</servlet>
	<servlet> 
		<servlet-name>EditPost</servlet-name> 
		<servlet-class>servlets.EditPost</servlet-class> 
	</servlet>
   <servlet> 
		<servlet-name>RemovePost</servlet-name> 
		<servlet-class>servlets.RemovePost</servlet-class> 
	</servlet> 	

	<servlet> 
		<servlet-name>AddComment</servlet-name> 
		<servlet-class>servlets.AddComment</servlet-class> 
	</servlet> 
	<servlet> 
		<servlet-name>EditComment</servlet-name> 
		<servlet-class>servlets.EditComment</servlet-class> 
	</servlet> 
	<servlet> 
		<servlet-name>RemoveComment</servlet-name> 
		<servlet-class>servlets.RemoveComment</servlet-class> 
	</servlet> 	


	<servlet> 
		<servlet-name>Profile</servlet-name> 
		<servlet-class>servlets.Profile</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>Home</servlet-name> 
		<servlet-class>servlets.Home</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>GetAccountStats</servlet-name> 
		<servlet-class>servlets.GetAccountStats</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>Like</servlet-name> 
		<servlet-class>servlets.Like</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>Dislike</servlet-name> 
		<servlet-class>servlets.Dislike</servlet-class> 
	</servlet> 	
	<servlet> 
		<servlet-name>SearchUsers</servlet-name> 
		<servlet-class>servlets.SearchUsers</servlet-class> 
	</servlet> 	
 			
	<servlet> 
		<servlet-name>Search</servlet-name> 
		<servlet-class>servlets.Search</servlet-class> 
	</servlet> 	
	
	
	

	<servlet-mapping> 
		<servlet-name>CreateUser</servlet-name> 
		<url-pattern>/CreateUser</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
		<servlet-name>Login</servlet-name> 
		<url-pattern>/Login</url-pattern> 
	</servlet-mapping>
	<servlet-mapping> 
		<servlet-name>EditProfile</servlet-name> 
		<url-pattern>/EditProfile</url-pattern> 
	</servlet-mapping>	
	<servlet-mapping> 
		<servlet-name>Logout</servlet-name> 
		<url-pattern>/Logout</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
		<servlet-name>DeleteAccount</servlet-name> 
		<url-pattern>/DeleteAccount</url-pattern> 
	</servlet-mapping> 
	
	
	<servlet-mapping> 
		<servlet-name>Follow</servlet-name> 
		<url-pattern>/Follow</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>RemoveFollower</servlet-name> 
		<url-pattern>/RemoveFollower</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>Unfollow</servlet-name> 
		<url-pattern>/Unfollow</url-pattern> 
	</servlet-mapping> 	
	
	<servlet-mapping> 
		<servlet-name>GetUserFollowers</servlet-name> 
		<url-pattern>/GetUserFollowers</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>GetUserFollowing</servlet-name> 
		<url-pattern>/GetUserFollowing</url-pattern> 
	</servlet-mapping> 	
	
	<servlet-mapping> 
		<servlet-name>AddPost</servlet-name> 
		<url-pattern>/AddPost</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
		<servlet-name>EditPost</servlet-name> 
		<url-pattern>/EditPost</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
		<servlet-name>RemovePost</servlet-name> 
		<url-pattern>/RemovePost</url-pattern> 
	</servlet-mapping> 	


	<servlet-mapping> 
		<servlet-name>AddComment</servlet-name> 
		<url-pattern>/AddComment</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
		<servlet-name>EditComment</servlet-name> 
		<url-pattern>/EditComment</url-pattern> 
	</servlet-mapping>
	<servlet-mapping> 
		<servlet-name>RemoveComment</servlet-name> 
		<url-pattern>/RemoveComment</url-pattern> 
	</servlet-mapping> 		


	<servlet-mapping> 
		<servlet-name>Profile</servlet-name> 
		<url-pattern>/Profile</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>Home</servlet-name> 
		<url-pattern>/Home</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>GetAccountStats</servlet-name> 
		<url-pattern>/AccountStats</url-pattern> 
	</servlet-mapping> 	
	
	<servlet-mapping> 
		<servlet-name>Like</servlet-name> 
		<url-pattern>/Like</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>Dislike</servlet-name> 
		<url-pattern>/Dislike</url-pattern> 
	</servlet-mapping> 	

	<servlet-mapping> 
		<servlet-name>SearchUsers</servlet-name> 
		<url-pattern>/SearchUsers</url-pattern> 
	</servlet-mapping> 	
	<servlet-mapping> 
		<servlet-name>Search</servlet-name> 
		<url-pattern>/Search</url-pattern> 
	</servlet-mapping> 

</web-app>